Posted in Uncategorized

“docker-compose up” not rebuilding container that has an underlying updated image

This one is a bit lengthy to explain, so I have created a test project to reproduce this behavior with. As I understand it from…

Continue Reading
Posted in Uncategorized

docker-compose build hangs

$ docker version Client: Version: 1.13.0 API version: 1.24 (downgraded from 1.25) Go version: go1.7.3 Git commit: 49bf474 Built: Wed Jan 18 16:20:26 2017 OS/Arch:…

Continue Reading
Posted in Uncategorized

Docker-compose pull don’t pull new image for Dockerfile

Hi there, first my version: Client: Version: 1.13.0 API version: 1.25 Go version: go1.7.3 Git commit: 49bf474 Built: Wed Jan 18 16:20:26 2017 OS/Arch: darwin/amd64…

Continue Reading
Posted in Uncategorized

Docker-compose build issues with binary files with permission 600

Solving this issue might also fix #3341 When there is a file: named a special way owned by root binary with permissions 600 Docker-compose build…

Continue Reading
Posted in Uncategorized

docker-compose fails with AttributeError: ‘module’ object has no attribute ‘get_config_header’

I recently upgraded to docker version 1.13 and docker-compose 1.10.0. When using a docker compose file (both version 2 or version 3), the commands docker-compose…

Continue Reading
Posted in Uncategorized

Using data volume containers with v3

With v2 I had the following setup: A “code” container, where I bake the source code of my app into. This container specifies a volume…

Continue Reading
Posted in Uncategorized

Any chance to use secrets for SwarmMode services?

Didn’t find the ability to use secrets for SwarmMode services creation. Any chance to add such feature? Or how I can use docker-compose file for…

Continue Reading
Posted in Uncategorized

ImportError: cannot import name IPAMConfig

I get this error after type docker-compose –version. I’ve installed docker-compose with pip $ docker-compose –version Traceback (most recent call last): File “/usr/local/bin/docker-compose”, line 7,…

Continue Reading
Posted in Uncategorized

Update requests dependency

A few days ago requests 2.13 has been released. Unfortunately, docker-compose still enforces requests < 2.12: ‘requests >= 2.6.1, != 2.11.0, < 2.12’, Is there…

Continue Reading
Posted in Uncategorized

docker-compose 1.10.1 causes build to fail on 14.04 (module object has no attribute connection)

(Sorry for the rushed bug report, just heading out the door… will fix later if there’s missing details) Ubuntu 14.04 (on vagrant) Installing docker on…

Continue Reading